import Vue from 'vue';
import Vuex from 'vuex';
Vue.use(Vuex);
const store = new Vuex.Store({
  state: {
		language: 0,
		reportId: '',
		taskList: []
	},
  mutations: {
		setLanguage: (state, id) => {
			state.language = id
		},
		setReportId: (state, id) => {
			state.reportId = id
		},
		setTaskList: (state, taskList) => {
			state.taskList = taskList
		},
	}
});
export default store;